Name:           tcpcopy
Version:        0.9.9
Release:        3%{?dist}
Summary:        Online request replication tool
License:        BSD
URL:            https://github.com/wangbin579/tcpcopy
Source0:        https://github.com/wangbin579/tcpcopy/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libnetfilter_queue-devel
BuildRequires:  libpcap-devel
BuildRequires:  libtool
Requires:       iptables

%description
tcpcopy can help you find bugs without deploying your server software on your 
production servers. It can also be used to do smoke testing. For example, when
you want to migrate from Apache to Nginx, tcpcopy can help you test it. Apache
is running online, while tcpcopy can copy the TCP flows from Apache to Nginx. 
To Nginx, the TCP flows are just forwarding to it. This will not affect Apache
at all except cost a little network bandwidth and CPU load.

%prep
%setup -q

%build
autoreconf -fiv
export CPPFLAGS="%{optflags}"
%configure --enable-advanced \
           --enable-debug \
           --enable-millions \
           --enable-nfqueue

%make_build

%install
%make_install

%files
%doc AUTHORS COPYING README
%{_bindir}/*

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Aug 04 2014 Christopher Meng <rpm@cicku.me> - 0.9.9-1
- Update to 0.9.9

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 14 2014 Christopher Meng <rpm@cicku.me> - 0.9.7-2
- Rebuild with more features(pcap)

* Fri Feb 14 2014 Christopher Meng <rpm@cicku.me> - 0.9.7-1
- Update to 0.9.7

* Thu Nov 14 2013 Christopher Meng <rpm@cicku.me> - 0.9.6-1
- Update to 0.9.6

* Tue Oct 22 2013 Christopher Meng <rpm@cicku.me> - 0.9.5-1
- Update to 0.9.5

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Christopher Meng <rpm@cicku.me> - 0.8.0-3
- Optimize the build sction.

* Wed Jun 12 2013 Christopher Meng <rpm@cicku.me> - 0.8.0-2
- Remove bundled libraries.

* Fri Jun 07 2013 Christopher Meng <rpm@cicku.me> - 0.8.0-1
- Update to 0.8.0

* Tue May 21 2013 Christopher Meng <rpm@cicku.me> - 0.7.0-2
- Fix the incorrect license.

* Wed May 01 2013 Christopher Meng <rpm@cicku.me> - 0.7.0-1
- Initial package.
